Name:		z80dasm
Version:	1.1.2
Release:	1%{?dist}
Summary:	Z80 Disassembler
Group:		Development/Languages
License:	GPLv2+
URL:		http://www.tablix.org/~avian/blog/articles/%{name}/
Source0:	http://www.tablix.org/~avian/%{name}/%{name}-%{version}.tar.gz

# Target addresses are 16 bits, but relative address computations were not
# being masked to 16 bits, causing bad results on all systems and buffer
# overruns in sprintf on 64-bit systems.  Reported to upstream via email
# on 27-Feb-2012.
Patch0:		z80dasm-1.1.2-16-bit-addr.patch

BuildRequires:	z80asm

%description
z80dasm is a disassembler for the Zilog Z80 microprocessor and
compatibles. It can be used to reverse engineer programs and operating
systems for 1980's microcomputers using this processor architecture
(for example ZX81, Spectrum, Galaksija and many others).  Generated
assembly code can be assembled back with a number of Z80
assemblers. Compatibility with z80asm was thoroughly tested.

%prep
%setup -q
%patch -P 0 -p1 -b .16-bit-addr
%configure

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%check
make test

%install
make install DESTDIR="%{buildroot}"

%files
%doc COPYING AUTHORS NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Feb 27 2012 Eric Smith <eric@brouhaha.com>  1.1.2-1
- Initial version
